from django.core.management import BaseCommand

from social_auth_umich.backends import UMichOIDC
from social_auth_umich.django.utils import social_reverse


class Command(BaseCommand):
    help = "Print the path to append to the site hostname when registering with ITS."

    def handle(self, *args, **options):
        complete_url = social_reverse("complete", kwargs=dict(backend=UMichOIDC.name))

        self.stdout.write(complete_url)
