from django.http import HttpResponse, HttpResponseServerError
from social_django.utils import load_backend, load_strategy

from .utils import social_reverse


def saml_metadata_view(request):
    complete_url = social_reverse("complete", args=("saml",))
    saml_backend = load_backend(
        load_strategy(request),
        "saml",
        redirect_uri=complete_url,
    )

    metadata, errors = saml_backend.generate_metadata_xml()

    if errors:
        return HttpResponseServerError(", ".join(errors), content_type="text/plain")

    return HttpResponse(content=metadata, content_type="text/xml")
